<%@ page language="java" contentType="text/html; charset=Shift_JIS" %>
<%@ page import="jp.cssj.cti.servlet.AbstractCSSJServlet,java.text.DateFormat,java.util.Date" %>
<%
  //CSSJサーブレット以外からのアクセスをブロック
  if (request.getAttribute(AbstractCSSJServlet.FROM_CSSJ) == null) {
    response.sendError(404);
    return;
  }

  //現在の時刻の取得
  DateFormat format = DateFormat.getDateTimeInstance();
  String date = format.format(new Date(System.currentTimeMillis()));
%>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=Shift_JIS">
    <link rel="StyleSheet" type="text/css" href="skin.css">
    <title>こんにちは</title>
  </head>
  <body>
    ただいまの時刻は<span class="time"><%= date %></span>です。
  </body>
</html>